# Uses of Class
org.apache.sling.resourceresolver.impl.legacy.LegacyResourceProviderAdapter

Packages that use LegacyResourceProviderAdapter
Package
Description
org.apache.sling.resourceresolver.impl.legacy

## Uses of LegacyResourceProviderAdapter in org.apache.sling.resourceresolver.impl.legacy

Methods in org.apache.sling.resourceresolver.impl.legacy that return LegacyResourceProviderAdapter
Modifier and Type
Method
Description
`@NotNull LegacyResourceProviderAdapter`
LegacyResourceProviderFactoryAdapter.`authenticate(@NotNull Map<String,Object> authenticationInfo)`
Methods in org.apache.sling.resourceresolver.impl.legacy that return types with arguments of type LegacyResourceProviderAdapter
Modifier and Type
Method
Description
`@Nullable org.apache.sling.spi.resource.provider.QueryLanguageProvider<LegacyResourceProviderAdapter>`
LegacyResourceProviderFactoryAdapter.`getQueryLanguageProvider()`
Methods in org.apache.sling.resourceresolver.impl.legacy with parameters of type LegacyResourceProviderAdapter
Modifier and Type
Method
Description
`void`
LegacyResourceProviderFactoryAdapter.`logout(@NotNull LegacyResourceProviderAdapter state)`
Method parameters in org.apache.sling.resourceresolver.impl.legacy with type arguments of type LegacyResourceProviderAdapter
Modifier and Type
Method
Description
`<AdapterType>
AdapterType`
LegacyResourceProviderFactoryAdapter.`adaptTo(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, @NotNull Class<AdapterType> type)`
`void`
LegacyResourceProviderFactoryAdapter.`commit(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)`
`org.apache.sling.api.resource.Resource`
LegacyResourceProviderFactoryAdapter.`create(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, String path, Map<String,Object> properties)`
`void`
LegacyResourceProviderFactoryAdapter.`delete(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, @NotNull org.apache.sling.api.resource.Resource resource)`
`Object`
LegacyResourceProviderFactoryAdapter.`getAttribute(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, @NotNull String name)`
`Collection<String>`
LegacyResourceProviderFactoryAdapter.`getAttributeNames(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)`
`org.apache.sling.api.resource.Resource`
LegacyResourceProviderFactoryAdapter.`getResource(org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, String path, org.apache.sling.spi.resource.provider.ResourceContext resourceContext, org.apache.sling.api.resource.Resource parent)`
`boolean`
LegacyResourceProviderFactoryAdapter.`hasChanges(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)`
`boolean`
LegacyResourceProviderFactoryAdapter.`isLive(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)`
`Iterator<org.apache.sling.api.resource.Resource>`
LegacyResourceProviderFactoryAdapter.`listChildren(org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, org.apache.sling.api.resource.Resource parent)`
`void`
LegacyResourceProviderFactoryAdapter.`refresh(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)`
`void`
LegacyResourceProviderFactoryAdapter.`revert(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)`